<template>
  <div>
    <Checkbox v-model="visible.athlete">Athlete</Checkbox>
    <Checkbox v-model="visible.business">Business/Political</Checkbox>
    <Checkbox v-model="visible.general">General Entertainer</Checkbox>
    <Checkbox v-model="visible.journalist">Journalist/Media</Checkbox>
    <Checkbox v-model="visible.model">Model</Checkbox>
    <Checkbox v-model="visible.chef">Chef</Checkbox>
    <Checkbox v-model="visible.musician">Musician</Checkbox>
    <Checkbox v-model="visible.influencer">Influencer</Checkbox>
    <Checkbox v-model="visible.dancer">Dancer</Checkbox>
    <ProfessionAthlete @close="_handleClose" @save="_handleSave" :visible="visible.athlete" />
    <ProfessionBusiness @close="_handleClose" @save="_handleSave" :visible="visible.business" />
    <ProfessionGeneral @close="_handleClose" @save="_handleSave" :visible="visible.general" />
    <ProfessionJournalist @close="_handleClose" @save="_handleSave" :visible="visible.journalist" />
    <ProfessionModel @close="_handleClose" @save="_handleSave" :visible="visible.model" />
    <ProfessionChef @close="_handleClose" @save="_handleSave" :visible="visible.chef" />
    <ProfessionMusician @close="_handleClose" @save="_handleSave" :visible="visible.musician" />
    <ProfessionInfluencer @close="_handleClose" @save="_handleSave" :visible="visible.influencer" />
    <ProfessionDancer @close="_handleClose" @save="_handleSave" :visible="visible.dancer" />
  </div>
</template>

<script>
import Modal from '../shared/Modal/Modal';
import Checkbox from '../shared/Checkbox/Checkbox';
import ProfessionAthlete from '../components/ProfessionAthlete/ProfessionAthlete';
import ProfessionBusiness from '../components/ProfessionBusiness/ProfessionBusiness';
import ProfessionGeneral from '../components/ProfessionGeneral/ProfessionGeneral';
import ProfessionJournalist from '../components/ProfessionJournalist/ProfessionJournalist';
import ProfessionModel from '../components/ProfessionModel/ProfessionModel';
import ProfessionChef from '../components/ProfessionChef/ProfessionChef';
import ProfessionMusician from '../components/ProfessionMusician/ProfessionMusician';
import ProfessionInfluencer from '../components/ProfessionInfluencer/ProfessionInfluencer';
import ProfessionDancer from '../components/ProfessionDancer/ProfessionDancer';

export default {
  name: 'Home',
  components: {
    Checkbox,
    ProfessionAthlete,
    ProfessionBusiness,
    ProfessionGeneral,
    ProfessionJournalist,
    ProfessionModel,
    ProfessionChef,
    ProfessionMusician,
    ProfessionInfluencer,
    ProfessionDancer
  },
  data() {
    return {
      visible: {
        athlete: false,
        business: false,
        general: false,
        journalist: false,
        model: false,
        chef: false,
        musician: false,
        influencer: false,
        dancer: false
      }
    };
  },
  methods: {
    _handleClose(name) {
      this.visible[name] = false;
    },
    _handleSave(name) {
      this.visible[name] = false;
      console.log('Saved');
    }
  },
  updated() {
    console.log(this.visible, 'checked');
  }
};
</script>
